#!/usr/bin/perl
#$Id: runstatus.cgi,v 1.6 2010/11/03 11:59:02 sofc Exp $
use strict;
use warnings;
use Elchemea;
use ElchemeaHeader;
use ElchemeaCGI;
use CGI qw(:standard :netscape);

print header();
my $u = param('user');
my $p = param('pass');
exit unless (&ElchemeaCGI::login_ok($u,$p));
my $status = "Free";
$status = "Measuring" if (Elchemea::is_locked_device);
$status = "Program running" if (-e $programlock);
print $status,"\n";
my @list = Elchemea::get_proglog();
my $line = '';
$line = $list[2] if (@list > 2);
my $out = 'None';
if ($line =~ /impedance/i)
{
    $out = 'Impedance';
}
if ($line =~ /single/i)
{
    $out = 'Single';
}
if ($line =~ /chrono/i)
{
    $out = 'Chrono';
}
if ($line =~ /Cyclic/i)
{
    $out = 'Potsweep';
}
print $out,"\n";
